Subject: [alpine-devel] new aport irssi-svn

From: "Carlo Landmeter" <[email-masked]>
Date: Tue, 06 Jan 2009 23:07:25 +0000

Natanael could you check this patch and see if this is the correct way to do it?
I would have done it with a normal irssi release but they don't release often and the latest release has issues with perl 5.10.
This is the latest svn snapshot from their website.

Carlo

From c83a9622c43e795b7b3820ea60dacd36471d7b66 Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Tue, 6 Jan 2009 22:41:03 +0000
Subject: [PATCH] extra/irssi-svn: new aport

---
 extra/irssi-svn/APKBUILD |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)
 create mode 100644 extra/irssi-svn/APKBUILD

diff --git a/extra/irssi-svn/APKBUILD b/extra/irssi-svn/APKBUILD
new file mode 100644
index 0000000..b306aed
--- /dev/null
+++ b/extra/irssi-svn/APKBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Carlo Landmeter <clandmeter at gmail.com>
+pkgname=irssi-svn
+pkgver=20090104
+pkgrel=0
+pkgdesc="A modular textUI IRC client with IPv6 support"
+url="http://irssi.org"
+license='GPL'
+depends="glib ncurses openssl"
+makedepends="glib-dev openssl-dev ncurses-dev"
+source="http://www.irssi.org/files/snapshots/irssi-20090104.tar.gz"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-perl"
+
+build() {
+	cd "$srcdir"/irssi-0.8.13-svn
+
+        ./configure --prefix=/usr \
+        --sysconfdir=/etc \
+        --mandir=/usr/share/man \
+        --with-perl=module
+        make || return 1
+        make DESTDIR="$pkgdir/" install
+
+}
+
+perl() {
+	depends="$pkgname perl"
+	mkdir -p "$subpkgdir"/usr
+	mv "$pkgdir"/usr/lib "$subpkgdir"/usr/
+	mkdir -p "$subpkgdir"/usr/share/irssi
+	mv "$pkgdir"/usr/share/irssi/scripts "$subpkgdir"/usr/share/irssi/
+}
+
+md5sums="c021acd8d5200edd4b8088b19be6a7bc  irssi-20090104.tar.gz"
-- 
1.5.6.4

---

From: Natanael Copa <[email-masked]>
Date: Wed, 07 Jan 2009 15:55:34 +0100

On Tue, 2009-01-06 at 23:07 +0000, Carlo Landmeter wrote:
> I would have done it with a normal irssi release but they don't
> release often and the latest release has issues with perl 5.10.

looks correct to me. only thing was md5sum was bad. Maybe they generat
the snapshot dynamically?

i commited with new md5sum. could you please try to rebuild, downloading
from $source?

abuild cleanpkg cleancache

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---